/* Mount for a foam bumper on a Tamiya TA-02SW. Might fit other chassis, too.

*/

$fn=23;

gMS=1.6; //2.4; // Material Strength
gDiaInner=20; // Inner Diameter (fitting the kit bumper )
gDiaOuter=gDiaInner+2*gMS;
gShift=2.4;
gFoamHeight=22;
gScrewHoleDia=2.8;
gOffset=4.0+3+1+0.5;

intersection()
{
	difference()
	{
		union()
		{
			translate([0, 0, gDiaOuter/2])
			rotate([0, 90, 0])
			intersection()
			{
				difference()
				{
					cylinder(d=gDiaOuter, h=120, center=true);	

					cylinder(d=gDiaInner, h=120, center=true);	
				}

				translate([0, -gDiaOuter/2-gShift, -120/2])
				cube([gDiaOuter/2, gDiaOuter/2, 120]);
			} // diff

			translate([-120/2, -gDiaOuter/2, gDiaOuter/2+0.0])
			cube([120, gMS, gOffset]);
		
			translate([-120/2, -gDiaOuter/2, gDiaOuter/2+gOffset])
			cube([120, 10, gMS]);

			translate([-120/2, -gDiaOuter/2-gMS, gDiaOuter/2-gFoamHeight/2-1.1])
			cube([120, gMS, gFoamHeight]);

			for (xi=[-30, 30])
			translate([xi, -gDiaOuter/2+5+1, +3-2.5])
			cylinder(d=5.5, h=5+2.5);
			
		} // union
		
		for (xi=[-30, 30])
		translate([xi, -gDiaOuter/2+5+1, 0])
		cylinder(d=gScrewHoleDia, h=23);
	} // diff
	
	/* Make a small test print for fitting */
	if (0)
	{
		#translate([-23-5, 0, 0])
		cube([10, 42, 230], center=true);
	}
	else
	{
		translate([-23, 0, 0])
		cube([230, 230, 230], center=true);
	}
	
	
} // intersection to make smaller testobjects
	